clc
  
%currdir = fullfile(rootPath,'test/Smlk/+inspcStimuli/+stimuli')   %the path from simulink currdir.
%cd(currdir);


  
%%Fills the array of test cases
clear testcases;
ix = 1;

testcases{ix, 1} = ' -u:mid1 -u:high1 -u:ramp -u:Filter_1 -u:x'; ix = ix +1; 

for ix = 1 : size(testcases)
  args = testcases{ix};  %curly braces
    cmd = strcat('test\Smlk\+inspcStimuli\+stimuli\mdlStimuli_template.m.jzT.cmd', args);
    disp(cmd);
    system(cmd);                            %generates genStimuli.m
    disp(args);
    sim('+inspcStimuli/TestInspcStimuli.slx');
    
end    
